Subject: Linux-Activists - DOC Channel digest. 94-2-20-17:43
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Sun, 20 Mar 1994 21:42:57 +0200

Topics:
	 Re: Linux-Activists - DOC Channel digest. 94-2-20-6:53
	 Re: Linux-Activists - DOC Channel digest. 94-2-20-6:53

----------------------------------------------------------------------

From: [email-masked] (Adelbert Fernandez)
Subject: Re: Linux-Activists - DOC Channel digest. 94-2-20-6:53
Date: Sun, 20 Mar 1994 16:01:37 +0200

> 
> > How much need is there for a book introducing newcomers to Linux
> > to Unix security? 
> 
> I guess so, since you're mailing from root. :)
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                   ^
                   |
That was very good; very, very good. I loved that.

------------------------------

From: [email-masked] (Mark A. Horton)
Subject: Re: Linux-Activists - DOC Channel digest. 94-2-20-6:53
Date: Sun, 20 Mar 1994 16:26:16 +0200

> From n4hgf!emory!Niksula.hut.fi!owner-linux-activists Sun Mar 20 08:49:54 1994
> Return-Path: <n4hgf!emory!Niksula.hut.fi!owner-linux-activists>
> Received: from n4hgf by ka4ybr.atl.ga.us with uucp
> 	(Smail3.1.28.1 #6) id m0piNsz-000RjHC; Sun, 20 Mar 94 08:49 EST
> Received: from emory by n4hgf.Mt-Park.GA.US with uucp
> 	(Smail3.1.27.1-WHT #6) id m0piNid-0000d6C; Sun, 20 Mar 94 08:39 EST
> Received: from joker.cs.hut.fi by
> 	emory.mathcs.emory.edu (5.65/Emory_mathcs.3.4.19) via SMTP
> 	id AA08170 ; Sun, 20 Mar 94 08:33:27 -0500
> Received: from joker.cs.hut.fi by niksula.hut.fi id <55218-1>; Sun, 20 Mar 1994 13:01:51 +0200
> From: "Linux Activists" <n4hgf!emory!Niksula.hut.fi!linux-activists>
> To: "Linux-Activists" <[email-masked]>
> Reply-To: "Linux-Activists" <emory!Niksula.hut.fi!linux-activists>
> X-Note1: Remember to put 'X-Mn-Key: DOC' to your mail body or header
> Subject: Linux-Activists - DOC Channel digest. 94-2-20-6:53
> X-Mn-Key: DOC
> Sender: n4hgf!emory!Niksula.hut.fi!owner-linux-activists
> Message-Id: <[email-masked]>
> Date: Sun, 20 Mar 1994 13:01:41 +0200
> 
> 
> Topics:
> 	 Re: Linux-Activists - DOC Channel digest. 94-2-19-17:47
> 
> 
> ----------------------------------------------------------------------
> 
> From: [email-masked] (Matt Welsh)
> Subject: Re: Linux-Activists - DOC Channel digest. 94-2-19-17:47
> Date: Sun, 20 Mar 1994 06:31:45 +0200
> 
> 
> > How much need is there for a book introducing newcomers to Linux
> > to Unix security? 
> 
> I guess so, since you're mailing from root. :)

		:) , too!

> 
> > I've got a rough outline already.  I think a 
> > book geared for Unix newbies from a Linux perspective would be
> > useful, espcially since I won't be covering BSD/SysV/Xenix/SCO/
> > blah/blah/blah all together.
> 
> I don't have any objections as long as you can write an entire
> book on it. If not you might want to include the information in the
> System Admin Guide as a series of chapters---if lengthy enough
> you and Lars would co-author that book. 
> 
> I think it's a good idea, although I do think you should cover
> the advanced topics as well. (Why not?) 
> 

	I think this is a good idea, but don't know if there would
	be enough to build an entire book around... There are already
	many good books around on Unix security in general - "Practical
	Unix Security" as well a "Computer Security Basics" both 
	published by O'Reilly come immediately to mind (they're on MY
	bookshelf! :)  ) as well as a number of others.  I don't think
	we need to replicate much of what's already written on the general
	subject, but instead perhaps hit the very basics, show any blatant
	differences Linux has if any, and definitely give an example or
	examples of directory trees with ownerships, groups, and access
	privileges spelled out as well as (for the absolute newbie) an
	explanation of filemodes - particularly the octal shorthand for
	how we can specify them vs what they see when they do an ls -l.
	I'm thinking of something like the couple of pages in the "Managing
	UUCP and Usenet" book by O'Reilly that explicitly shows ownerships
	and access privileges... I know I couldn't get my (admittedly old
	now) SLS-1.02 uucp to work at all until I sat down with those couple
	of pages and set all file ownerships, etc. to EXACTLY what was 
	specified therein.

	Also worthwhile would be a section on cops installation, execution,
	theory, and expected results (and when to stop! - i.e. Don't make
	the system SO secure that nothing can be done by anyone but root!)
	as well as the iterative process one must use with it to fine-tune
	the security of the system... perhaps this could be integreated into
	some security-level setting scripts such as SCO (don't hit me!) uses
	to set different security levels `a la the "Orange Book" guidelines.

	Hmmm... maybe instructions on how to get your very own set of "Rainbow
	Series" U.S. Government computer security publications (FOR FREE to
	all CITIZENS! - we pay for it, may as well have it!) would be a nice
	inclusion?  As well as a description of Tempest and the restrictions
	therein? 

	Perhaps this would make a very worthwhile appendix to the "Linux
	System Adminstrators' Guide" that Lars is working on?   
> 
> 
> ------------------------------
> 
> End of DOC Digest
> *****************
> -------
> 

-- 
"People who read alt.sex.wanted have too much time on their hands. People
who post to alt.sex.wanted have too much fur on their palms" - Bryan Manske
------------------------------------------------------------
Mark A. Horton       ka4ybr             [email-masked]
P.O. Box 747 Decatur GA US 30031-0747         [email-masked]
+1.404.371.0291                     33 45 30 N / 084 16 50 W

------------------------------

End of DOC Digest
*****************
-------